RFE: Use oslo config generator

Bug #1523510 reported by Gal Sagie on 2015-12-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DragonFlow
Wishlist
Li Ma

Bug Description

There is a new config file generator process, use it in Dragonflow as well

Gal Sagie (gal-sagie) on 2015-12-07
Changed in dragonflow:
assignee: nobody → Gal Sagie (gal-sagie)
Gal Sagie (gal-sagie) on 2015-12-29
Changed in dragonflow:
importance: Undecided → Low
Gal Sagie (gal-sagie) on 2016-02-14
Changed in dragonflow:
assignee: Gal Sagie (gal-sagie) → Omer Anson (omer-anson)
Li Ma (nick-ma-z) on 2016-09-18
Changed in dragonflow:
assignee: Omer Anson (omer-anson) → Li Ma (nick-ma-z)
importance: Low → Wishlist
summary: - Use oslo config generator
+ RFE: Use oslo config generator
Changed in dragonflow:
status: New → Triaged

Fix proposed to branch: master
Review: https://review.openstack.org/372028

Changed in dragonflow:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/373796

Reviewed: https://review.openstack.org/372028
Committed: https://git.openstack.org/cgit/openstack/dragonflow/commit/?id=96beba9632e50c6f280a818c271c9fa82f4ddc11
Submitter: Jenkins
Branch: master

commit 96beba9632e50c6f280a818c271c9fa82f4ddc11
Author: Li Ma <email address hidden>
Date: Sun Sep 18 13:15:52 2016 +0800

    Refactor options and add oslo config generator support

    Change-Id: I983bab84bc9cec25a2eeae4831c1dac0f55aa542
    Partially-Implements: blueprint oslo-config-generator
    Related-Bug: #1523510

Reviewed: https://review.openstack.org/373713
Committed: https://git.openstack.org/cgit/openstack/dragonflow/commit/?id=9ff6a29c046cefd3d9a1e90ee6358a9402f361f5
Submitter: Jenkins
Branch: master

commit 9ff6a29c046cefd3d9a1e90ee6358a9402f361f5
Author: Li Ma <email address hidden>
Date: Wed Sep 21 14:10:20 2016 +0800

    Fix dhcp app options

    Unlike other apps, options of dhcp app are registered in the [DEFAULT] group.
    This patch moves all the options from default group to dhcp app group.

    Partially-Implements: blueprint oslo-config-generator
    Related-Bug: #1523510
    Change-Id: I9294a45fcbe8884152fe0a182bc9637aafc3ec88

Reviewed: https://review.openstack.org/373796
Committed: https://git.openstack.org/cgit/openstack/dragonflow/commit/?id=bf7a2176fbeb463cb24337b3a9f2c9545147ba1c
Submitter: Jenkins
Branch: master

commit bf7a2176fbeb463cb24337b3a9f2c9545147ba1c
Author: Li Ma <email address hidden>
Date: Wed Sep 21 14:56:41 2016 +0800

    Implements oslo conf generator

    Change-Id: Ifca462b686ea914db5861880f23adde311fb4bb9
    Implements: blueprint oslo-config-generator
    Closes-Bug: #1523510

Changed in dragonflow:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints